## org.cybergarage.upnp.control
Class ActionRequest

    java.lang.Object
      org.cybergarage.http.HTTPPacket
          org.cybergarage.http.HTTPRequest
              org.cybergarage.soap.SOAPRequest
                  org.cybergarage.upnp.control.ControlRequest
                      org.cybergarage.upnp.control.ActionRequest

    public class ActionRequest

extends ControlRequest

Constructor Summary
`ActionRequest()`
`ActionRequest(HTTPRequest httpReq)`

Method Summary
`String` `getActionName()`
`Node` `getActionNode()`
`ArgumentList` `getArgumentList()`
`ActionResponse` `post()`
`void` `setRequest(Action action, ArgumentList argList)`

Methods inherited from class org.cybergarage.upnp.control.ControlRequest
`isActionControl, isQueryControl, setRequestHost`

Methods inherited from class org.cybergarage.soap.SOAPRequest
`getBodyNode, getEnvelopeNode, getSOAPAction, isSOAPAction, postMessage, print, setContent, setEnvelopeNode, setSOAPAction`

Methods inherited from class org.cybergarage.http.HTTPRequest

`getFirstLineString, getHeader, getHTTPVersion, getLocalAddress, getLocalPort, getMethod, getParameterList, getParameterValue, getRequestHost, getRequestPort, getSocket, getURI, isGetRequest, isHeadRequest, isKeepAlive, isMethod, isNotifyRequest, isPostRequest, isSOAPAction, isSubscribeRequest, isUnsubscribeRequest, parseRequestLine, post, post, post, read, returnBadRequest, returnOK, returnResponse, set, setMethod, setRequestHost, setRequestPort, setSocket, setURI, setURI, toString`

Methods inherited from class org.cybergarage.http.HTTPPacket

`addHeader, addHeader, clearHeaders, getCacheControl, getConnection, getContent, getContentInputStream, getContentLength, getContentRange, getContentRangeFirstPosition, getContentRangeInstanceLength, getContentRangeLastPosition, getContentString, getContentType, getDate, getFirstLine, getFirstLineToken, getHeader, getHeader, getHeaderString, getHeaderValue, getHost, getIntegerHeaderValue, getLongHeaderValue, getNHeaders, getServer, getStringHeaderValue, getStringHeaderValue, getTransferEncoding, getVersion, hasConnection, hasContent, hasContentInputStream, hasContentRange, hasFirstLine, hasHeader, hasTransferEncoding, init, isChunked, isCloseConnection, isKeepAliveConnection, read, set, set, set, set, setCacheControl, setCacheControl, setCacheControl, setConnection, setContent, setContent, setContent, setContent, setContentInputStream, setContentLength, setContentRange, setContentType, setDate, setHeader, setHeader, setHeader, setHeader, setHost, setIntegerHeader, setLongHeader, setServer, setStringHeader, setStringHeader, setTransferEncoding, setVersion`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ActionRequest

    public ActionRequest()

### ActionRequest

    public ActionRequest(HTTPRequest httpReq)

Method Detail

### getActionNode

    public Node getActionNode()

### getActionName

    public String getActionName()

### getArgumentList

    public ArgumentList getArgumentList()

### setRequest

    public void setRequest(Action action,
                           ArgumentList argList)

### post

    public ActionResponse post()